=== debian/control ===
Source: ros-iron-controller-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-hardware-interface, ros-iron-rclcpp-lifecycle, ros-iron-sensor-msgs, ros-iron-sensor-msgs <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-controller-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-hardware-interface, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Description: Description of controller_interface
